#
# spec file for package mate-icon-theme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.16
Name:           mate-icon-theme
Version:        1.16.0
Release:        2.2
Summary:        MATE icon theme
License:        LGPL-3.0 and CC-BY-3.0
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  icon-naming-utils >= 0.8.7
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
Provides:       mate-icon-theme-devel = %{version}
BuildArch:      noarch

%description
This package contains the default icon theme used by the MATE desktop.
The icons are used in the panel menu, and in nautilus and other
applications, to represent the different applications, files,
directories, and devices.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}%{_datadir}/icons/mate/
%fdupes %{buildroot}%{_datadir}/icons/menta/

%post
%icon_theme_cache_post mate
%icon_theme_cache_post menta

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_datadir}/icons/mate/
%ghost %{_datadir}/icons/mate/icon-theme.cache
%{_datadir}/icons/menta/
%ghost %{_datadir}/icons/menta/icon-theme.cache

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Add missing mate.svg.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Add system-config-keyboard icons.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Do not build a pkgconfig file.
* Thu Aug 27 2015 sor.alexei@meowr.ru
- Generate icon cache.
* Tue Jun  9 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Add more regular icons.
  * Update symbolic icons.
- Spec cleanup.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.1
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  * Add symbolic icons for GTK3 compatibility
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + no changes since version 1.8.0
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90
  + Menta: Add avatar default icons for new lightdm
  + add bluetooth icons for bluedevil
- Remove useless xz requirement
* Mon Feb 10 2014 p.drouand@gmail.com
- Update to version 1.7.1
  + Mate: fix scalable directories in index.theme
  + fix typo in makefile
    Closes #10 (https://github.com/mate-desktop/mate-icon-theme/issues/10)
  + mate: add bluetooth icons for using bluedevil
  + Many changes in Menta
  - fix Inherits in index.theme
  - remove symbolic icons
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.3
  + Menta: remove symbolic icons
  + Menta: fix Inherits in index.theme
  + mate: add bluetooth icons for using bluedevil
  + Fix typo in makefile
    Closes #10 (https://github.com/mate-desktop/mate-icon-theme/issues/10)
  + Mate: fix scalable directories in index.theme
* Tue Sep  3 2013 p.drouand@gmail.com
- Update to version 1.6.2
  + add avatar-default icons for new lightdm in Menta
  + add sympolic icons to mate icon theme
  + fix scalable directories in index.theme
  + add make file
* Tue Jun 25 2013 johann.luce@wanadoo.fr
- Update to version 1.6.1
  + On make install, the Makefile will now copy .icon files into the pack
    age dir too, allowing for text-x-preview.icon (a requirement for text
    file preview) to be included in the package.
  + Merge pull request #7 from iFrag/master Text preview .icon file now
    included in package
  + add + and - icons for Menta icon theme
  + add scalable symbolic icons to Menta theme
  + Merge pull request #8 from NiceandGently/master add scalable symbolic
    icons to Menta theme
  + Create xz tarball
  + Add missing uninstall hooks
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + add some mimetypes icons
  + fix index.theme in Menta
* Sat Mar 23 2013 p.drouand@gmail.com
- Update to version 1.5.1
  + Add Menta icon set
  + Enable text preview in text-x-preview icon
    This update fixes bug with plain-text thumbnails in Caja. Without
    this fix text from plain-text files do not displayed on thumbnails
* Wed Oct 10 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + bump version, no changes
* Sat Sep  8 2012 nmo.marques@gmail.com
- copypac to X11:MATE
  + minor cosmetic fixes
  + fix license entries
* Sat Aug  4 2012 hillwood@linuxfans.org
- Update to version 1.4.0
* Fri Dec 30 2011 nmarques@opensuse.org
- Initial package from version 1.2.0
